using MessagePack;
#if Server
using Server.Core;
#else
using GameFramework;
#endif

namespace GameMessage
{
    /// <summary>
    /// 消息对象
    /// </summary>
    public abstract class MessageData
        : IReference
    {
#if Server
        [IgnoreMember]
        public bool IsFromPool
        {
            get;
            set;
        }

        [IgnoreMember]
        public long ReferenceId
        {
            get;
            set;
        }

        public virtual void Dispose()
        {
            
        }
#else
        public virtual void Clear()
        {
        }
#endif
    }
}